Append - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Append
cURL
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}/append \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[\
{\
"Account": "Accounts Receivable",\
"Amount": "100.00$"\
},\
{\
"Account": "Accounts Payable",\
"Amount": "100.00$"\
}\
]'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}/append"
payload = [\
{\
"Account": "Accounts Receivable",\
"Amount": "100.00$"\
},\
{\
"Account": "Accounts Payable",\
"Amount": "100.00$"\
}\
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([\
{Account: 'Accounts Receivable', Amount: '100.00$'},\
{Account: 'Accounts Payable', Amount: '100.00$'}\
])
};
fetch('https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}/append', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}/append",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([\
[\
'Account' => 'Accounts Receivable',\
'Amount' => '100.00$'\
],\
[\
'Account' => 'Accounts Payable',\
'Amount' => '100.00$'\
]\
]),\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>",\
"Content-Type: application/json"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/json-tables/{jsonTableId}/append"
payload := strings.NewReader("[\n {\n \"Account\": \"Accounts Receivable\",\n \"Amount\": \"100.00$\"}\n ,{\n \"Account\": \"Accounts Payable\",\n \"Amount\": \"100.00$\"}\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Example
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"headers": [
"<string>"
],
"currentSize": 123
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Path Parameters
- jsonTableId: string (required)
Body
- application/json
Example:
[
{
"Account": "Accounts Receivable",
"Amount": "100.00$"
},
{
"Account": "Accounts Payable",
"Amount": "100.00$"
}
]
Response
- 200 - application/json
OK
id
- string: The unique object identifier.
version
- integer: The data integrity version, to ensure data consistency.
creationDate
- string: The date that the object was originally created.
lastModifiedDate
- string: The date that the object was last updated or modified.
createdUserInfo
- object: Details about the user who created the object.
lastModifiedUserInfo
- object: Details about the user who last modified or updated the object.
headers
- array of strings
currentSize
- integer: The combined size of all data that has been appended to this JSON table.